@import '../../../assets/styles/common';

//TODO: Clean up this file.

.grid {
  &__empty {
    display: flex;
    justify-content: center;
    margin-top: 4rem;
  }

  &__container {
    width: 32.5%;
  }

  &__donate {
    width: fit-content;
    margin: 0;
    padding: 0 1rem 0.4rem;
    border-radius: 5px 5px 0 0;
    line-height: 2.3rem;
    font-size: 1.2rem;
    text-transform: uppercase;
    background-color: $dashboard-green;
  }
}

.pagination {
  display: flex;
  justify-content: center;
  margin: 2.2rem 0;
  padding-left: 0;
  border-radius: 4px;

  > {
    li {
      display: inline;

      > {
        a, span {
          position: relative;
          float: left;
          margin-left: -1px;
          padding: .6rem 1.2rem;
          border: 1px solid $dashboard-card-border;
          line-height: 1.42857143;
          color: $green-blue-light;
          text-decoration: none;
          background-color: $dashboard-paginate-dark;
        }
      }

      &:first-child > {
        a, span {
          margin-left: 0;
          border-top-left-radius: 4px;
          border-bottom-left-radius: 4px;
        }
      }

      &:last-child > {
        a, span {
          border-top-right-radius: 4px;
          border-bottom-right-radius: 4px;
        }
      }

      > {
        a:hover, span:hover, a:focus, span:focus {
          z-index: 2;
          color: $white;
          background-color: $dashboard-paginate-dark;
          cursor: pointer;
          border-color: $dashboard-card-border;
        }
      }
    }

    .active > {
      a, span, a:hover, span:hover, a:focus, span:focus {
        z-index: 3;
        color: $dashboard-paginate-dark;
        background-color: $green-blue-light;
        cursor: default;
        border-color: $green-blue-light;
      }
    }

    .disabled > {
      span {
        color: #777777;
        background-color: $dashboard-paginate-dark;
        cursor: not-allowed;
        border-color: $dashboard-card-border;

        &:hover, &:focus {
          color: #777777;
          background-color: $dashboard-paginate-dark;
          cursor: not-allowed;
          border-color: $dashboard-card-border;
        }
      }

      a {
        color: #777777;
        background-color: $dashboard-paginate-dark;
        cursor: not-allowed;
        border-color: $dashboard-card-border;

        &:hover, &:focus {
          color: #777777;
          background-color: $dashboard-paginate-dark;
          cursor: not-allowed;
          border-color: $dashboard-card-border;
        }
      }
    }
  }

  @media only screen and (max-width: 1400px) {
    span, a {
      line-height: 2rem;
      font-size: 1.2rem;
    }
  }
}

.pagination-lg > li {
  > {
    a, span {
      padding: 1rem 1.6rem;
      line-height: 1.3333333;
      font-size: 2rem;
    }
  }

  &:first-child > {
    a, span {
      border-top-left-radius: 6px;
      border-bottom-left-radius: 6px;
    }
  }

  &:last-child > {
    a, span {
      border-top-right-radius: 6px;
      border-bottom-right-radius: 6px;
    }
  }
}

.pagination-sm > li {
  > {
    a, span {
      padding: 5px 10px;
      line-height: 1.5;
      font-size: 14px;
    }
  }

  &:first-child > {
    a, span {
      border-top-left-radius: 3px;
      border-bottom-left-radius: 3px;
    }
  }

  &:last-child > {
    a, span {
      border-top-right-radius: 3px;
      border-bottom-right-radius: 3px;
    }
  }
}
